Skip to main content
`Ctrl`+`K`

# TaoMonitorDrawCtxDestroy

Destroys the monitor context for `TaoMonitorSolutionDraw()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorDrawCtxDestroy(TaoMonitorDrawCtx *ictx)

Collective

## Input Parameter

- ictx - the monitor context

## Note

This is passed to `TaoMonitorSet()` as the final argument, along with `TaoMonitorSolutionDraw()`, and the context obtained with `TaoMonitorDrawCtxCreate()`.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorSet()`, `TaoMonitorDefault()`, `VecView()`, `TaoMonitorSolutionDraw()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages